Loading...
Searching...
No Matches
psa_aead_operation_s Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_aead_operation_s:
[legend]

## Data Fields

unsigned int | private_id
psa_algorithm_t | private_alg
psa_key_type_t | private_key_type
size_t | private_ad_remaining
size_t | private_body_remaining
unsigned int | private_nonce_set: 1
unsigned int | private_lengths_set: 1
unsigned int | private_ad_started: 1
unsigned int | private_body_started: 1
unsigned int | private_is_encrypt: 1
psa_driver_aead_context_t | private_ctx

## Detailed Description

Definition at line 159 of file crypto_struct.h.

## Field Documentation

## private_ad_remaining

size_t psa_aead_operation_s::private_ad_remaining

Definition at line 174 of file crypto_struct.h.

## private_ad_started

unsigned int psa_aead_operation_s::private_ad_started

Definition at line 179 of file crypto_struct.h.

## private_alg

psa_algorithm_t psa_aead_operation_s::private_alg

Definition at line 171 of file crypto_struct.h.

## private_body_remaining

size_t psa_aead_operation_s::private_body_remaining

Definition at line 175 of file crypto_struct.h.

## private_body_started

unsigned int psa_aead_operation_s::private_body_started

Definition at line 180 of file crypto_struct.h.

## private_ctx

psa_driver_aead_context_t psa_aead_operation_s::private_ctx

Definition at line 183 of file crypto_struct.h.

## private_id

unsigned int psa_aead_operation_s::private_id

Unique ID indicating which driver got assigned to do the operation. Since driver contexts are driver-specific, swapping drivers halfway through the operation is not supported. ID values are auto-generated in psa_crypto_driver_wrappers.h ID value zero means the context is not valid or not assigned to any driver (i.e. none of the driver contexts are active).

Definition at line 169 of file crypto_struct.h.

## private_is_encrypt

unsigned int psa_aead_operation_s::private_is_encrypt

Definition at line 181 of file crypto_struct.h.

## private_key_type

psa_key_type_t psa_aead_operation_s::private_key_type

Definition at line 172 of file crypto_struct.h.

## private_lengths_set

unsigned int psa_aead_operation_s::private_lengths_set

Definition at line 178 of file crypto_struct.h.

## private_nonce_set

unsigned int psa_aead_operation_s::private_nonce_set

Definition at line 177 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h